Subject: [Xen-devel] [PATCH v4 3/7] [RFC] arm/arm64: introduce is_dma_coherent

From: [email-masked] (David Vrabel)
Date: Mon, 27 Oct 2014 11:02:15 +0000

On 25/10/14 17:15, Stefano Stabellini wrote:
> On Sat, 25 Oct 2014, Ian Campbell wrote:
>> On Sat, 2014-10-25 at 14:29 +0100, Stefano Stabellini wrote:
>>>  
>>> Your suggestions and looking more at the code gave me another idea, that
>>> I think is clean and at the same time suitable for 3.18.
>>> What do you think of the following? It is simple, self-contained and
>>> doesn't need a new flag in struct device.
>>
>> of_dma_is_coherent looks to be quite expensive though (walks up the
>> Device Tree doing strcmps on each property of each node until it finds
>> the one it is looking for.
> 
> It takes spin_locks too!
> Too bad, I think I'll have to ditch it. In that case I'l try the new
> flag in struct device approach.

If you're having to make changes to struct device, this is looking like
a series for 3.19 (not 3.18).

David